aboutsummaryrefslogtreecommitdiffstats
path: root/test/ical-014.sh
diff options
context:
space:
mode:
authorLukas Fleischer <lfleischer@calcurse.org>2020-10-13 20:43:37 -0400
committerLukas Fleischer <lfleischer@calcurse.org>2020-10-13 20:43:37 -0400
commit1e243dba907f05f46bc2e528aad7408d8009eff7 (patch)
tree86d8ea744337381cb7425948a5ad7510832a8e9c /test/ical-014.sh
parentd960391bd5eed9ce1d40eaa4d218fb6596ab6af7 (diff)
downloadcalcurse-1e243dba907f05f46bc2e528aad7408d8009eff7.tar.gz
calcurse-1e243dba907f05f46bc2e528aad7408d8009eff7.zip
Fix parallelized test runs
Do not share a common temporary directory between different test cases. Reported-by: Tomasz Kłoczko <kloczko.tomasz@gmail.com> Signed-off-by: Lukas Fleischer <lfleischer@calcurse.org>
Diffstat (limited to 'test/ical-014.sh')
-rwxr-xr-xtest/ical-014.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/test/ical-014.sh b/test/ical-014.sh
index 68f36a1..18134bf 100755
--- a/test/ical-014.sh
+++ b/test/ical-014.sh
@@ -4,17 +4,17 @@
. "${TEST_INIT:-./test-init.sh}"
if [ "$1" = 'actual' ]; then
- mkdir .calcurse || exit 1
- cp "$DATA_DIR/conf" .calcurse || exit 1
- "$CALCURSE" -q -D "$PWD/.calcurse" -i "$DATA_DIR/ical-014.ical"
- "$CALCURSE" -D "$PWD/.calcurse" -x |
+ tmpdir=$(mktemp -d)
+ cp "$DATA_DIR/conf" "$tmpdir" || exit 1
+ "$CALCURSE" -q -D "$tmpdir" -i "$DATA_DIR/ical-014.ical"
+ "$CALCURSE" -D "$tmpdir" -x |
sed -n '
/DESCRIPTION/p
/LOCATION/p
/COMMENT/p
' |
sort
- rm -rf .calcurse || exit 1
+ rm -rf "$tmpdir" || exit 1
elif [ "$1" = 'expected' ]; then
cat "$DATA_DIR/ical-014.ical" |
sed -n '